﻿#
#  SRC mute on-off 
#
#  17-Apr.-2019 V.1R0  by C.Okamura
#  28-Oct.-2019 V.2R0  
#
#  Python2.7
#
import subprocess
import string
import commands
import time

src_mute_disable = "sudo i2cset -y 1 0x70 0x2d 0x00"       # Audio Output on
src_mute_enable = "sudo i2cset -y 1 0x70 0x2d 0x10"        # Audio Output off

#sts = subprocess.check_output("sudo mpc", shell=True )

current_sts = 0
mpc_status  = 0

while 1:
    sts = commands.getoutput('mpc')
    #print sts

    if sts.find('[playing]') != -1:
        mpc_status = 1

    if sts.find('[paused]') != -1:
        mpc_status = 2

    if current_sts != mpc_status:
        if mpc_status == 1:
            print 'PLAYING'
            subprocess.call( src_mute_disable, shell=True )

        if mpc_status == 2:
            print 'PAUSED'
            subprocess.call( src_mute_enable, shell=True )

        if mpc_status == 0:
            print 'STOP'
            subprocess.call( src_mute_enable, shell=True )

    current_sts = mpc_status
    time.sleep(0.2)

